Subject: bug#64124: 29.0.91; Loading ‘tramp’ unconditionally loads ‘ls-lisp’

From: Sebastian Miele <[email-masked]>
Date: Sat, 17 Jun 2023 16:52:07 +0200

Hi Micheal,

> Appended is the same patch, but now based on the emacs-29 branch of the
> Emacs git repository.

thank you!  That patch seems to work.  In particular: globstar patterns
work locally with ‘dired’.  They do not work with ‘dired’ over Tramp.
(featurep 'ls-lisp) remains nil, even after some tramping.

All tried with just emacs -Q.

However, another problem came to my attention (still with just emacs -Q
from commit c8357582389 (emacs-29 branch from last thursday) + your
patch):

When I try to find a file starting with "/ssh:user@host:", Emacs starts
using 100 % CPU and hangs.  The same with "sshx" works fine.  I did not
try without the patch, yet.  I am currently compiling the most recent
emacs-29 without the patch, and will send a quick note on what happens
there.